Quassel IRC - Bug #47

prevent inputline from losing focus
06/22/2007 12:17 AM - EgS

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.3.1+ 0S: Any
Description

Currently the inputline loses focus when selecing a different buffer and on many other occasions. Thus one has to select the inputline

by hand before beeing able to write again.
In my opinion this is not so smooth :)

Related issues:

Related to Quassel IRC - Bug #221: Typing Focus is not redirected after scrol... Resolved

Associated revisions

Revision dc9de5af386f61e6dc5537d04ccc8aceb8126b21 - 01/11/2009 12:46 PM - Manuel Nickschas

InputLine now regains focus on keypress

Pressing any letter, number, or space will automatically focus the input line now.
This compensates for the fact that clicking in the BufferView now takes away focus :)

Fixes #47 and #221.

Revision dc9de5af - 01/11/2009 12:46 PM - Manuel Nickschas

InputLine now regains focus on keypress

Pressing any letter, number, or space will automatically focus the input line now.
This compensates for the fact that clicking in the BufferView now takes away focus :)

Fixes #47 and #221.

History

#1 - 12/28/2008 01:50 AM - Sputnick
- Priority changed from High to Normal

#2 - 01/11/2009 02:17 AM - sph

This could use a bump as it greatly annoys me ;)
Would also fix Bug #221.

#3 - 01/11/2009 12:48 PM - Sputnick
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset dc9de5af386f61e6dc5537d04ccc8aceb8126b21.
